Search documentation of wx

# View Source wxInitDialogEvent (wx v2.4.2)

Functions for wxInitDialogEvent class

A `wxInitDialogEvent` is sent as a dialog or panel is being initialised. Handlers for this event can transfer data to the window.

The default handler calls `wxWindow:transferDataToWindow/1`.

See: Overview events

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxInitDialogEvent

## Events

Use `wxEvtHandler:connect/3` with `wxInitDialogEventType` to subscribe to events of this type.

# Summary

## Types

wxInitDialog()
wxInitDialogEvent()
wxInitDialogEventType()

# Types

Link to this type

# wxInitDialog()

View Source

    -type wxInitDialog() :: #wxInitDialog{type :: wxInitDialogEvent:wxInitDialogEventType()}.

Link to this type

# wxInitDialogEvent()

View Source

    -type wxInitDialogEvent() :: wx:wx_object().

Link to this type

# wxInitDialogEventType()

View Source

    -type wxInitDialogEventType() :: init_dialog.